This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: dataclasses’s `test_frozen_pickle` does not use all possible `pickle` protocols
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, sobolevn
Priority: normal Keywords: patch

Created on 2021-10-22 08:39 by sobolevn, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29150 merged sobolevn, 2021-10-22 09:06
PR 29201 merged miss-islington, 2021-10-24 13:06
Messages (3)
msg404728 - (view) Author: Nikita Sobolev (sobolevn) * (Python triager) Date: 2021-10-22 08:39
While working on https://github.com/python/cpython/pull/29147 I've noticed that `test_frozen_pickle` does not use all possible `pickle` protocols: https://github.com/python/cpython/blob/276468dddb46c54980c782c09cdb53bd90755752/Lib/test/test_dataclasses.py#L2862

I will add `for` and `self.subTest` for each unique `pickle` protocol.
After that it would be in sync with `3.9` branch.
msg404928 - (view) Author: miss-islington (miss-islington) Date: 2021-10-24 13:06
New changeset 07236d562e59c6650227be18fa6ffc66b18d4741 by Nikita Sobolev in branch 'main':
bpo-45566: `test_frozen_pickle` checks all `pickle` protocols (GH-29150)
https://github.com/python/cpython/commit/07236d562e59c6650227be18fa6ffc66b18d4741
msg404931 - (view) Author: miss-islington (miss-islington) Date: 2021-10-24 13:29
New changeset 36971fd1f490664fb62b1fab869c5637669f0967 by Miss Islington (bot) in branch '3.10':
bpo-45566: `test_frozen_pickle` checks all `pickle` protocols (GH-29150)
https://github.com/python/cpython/commit/36971fd1f490664fb62b1fab869c5637669f0967
History
Date User Action Args
2022-04-11 14:59:51adminsetgithub: 89729
2021-10-24 19:42:31eric.smithsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-10-24 13:29:45miss-islingtonsetmessages: + msg404931
2021-10-24 13:06:52miss-islingtonsetpull_requests: + pull_request27470
2021-10-24 13:06:35miss-islingtonsetnosy: + miss-islington
messages: + msg404928
2021-10-23 00:12:03eric.smithsettitle: dataclasses `test_frozen_pickle` does not use all possible `pickle` protocols -> dataclasses’s `test_frozen_pickle` does not use all possible `pickle` protocols
2021-10-23 00:11:39eric.smithsettitle: `test_frozen_pickle` does not use all possible `pickle` protocols -> dataclasses `test_frozen_pickle` does not use all possible `pickle` protocols
2021-10-22 09:06:45sobolevnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27427
2021-10-22 08:39:07sobolevncreate